virtualbox-dkms 4.3.10-dfsg-1: virtualbox kernel module failed to build [error: macro "alloc_netdev" requires 4 arguments, but only 3 given]

Bug #1457776 reported by Sqoorch on 2015-05-22
436
This bug affects 98 people
Affects Status Importance Assigned to Milestone
Virtualbox
New
Undecided
Unassigned
virtualbox (Ubuntu)
Undecided
Unassigned

Bug Description

Update from linux-generic-lts-utopic 3.16.0.38.30 to linux-generic-lts-vivid 3.19.0.18.5

ProblemType: Package
DistroRelease: Ubuntu 14.04
Package: virtualbox-dkms 4.3.10-dfsg-1ubuntu5
ProcVersionSignature: Ubuntu 3.16.0-37.51~14.04.1-generic 3.16.7-ckt9
Uname: Linux 3.16.0-37-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.11
Architecture: amd64
DKMSKernelVersion: 3.19.0-18-generic
Date: Fri May 22 09:33:29 2015
DuplicateSignature: dkms:virtualbox-dkms:4.3.10-dfsg-1ubuntu5:/var/lib/dkms/virtualbox/4.3.10/build/vboxnetadp/linux/VBoxNetAdp-linux.c:186:48: error: macro "alloc_netdev" requires 4 arguments, but only 3 given
PackageArchitecture: all
PackageVersion: 4.3.10-dfsg-1ubuntu5
SourcePackage: virtualbox
Title: virtualbox-dkms 4.3.10-dfsg-1ubuntu5: virtualbox kernel module failed to build
UpgradeStatus: No upgrade log present (probably fresh install)

Sqoorch (sqoorch) wrote :
tags: removed: need-duplicate-check
Daniel van Vugt (vanvugt) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug 1358157, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Feel free to continue to report any other bugs you may find.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in virtualbox (Ubuntu):
status: New → Confirmed
Kenneth Wrede (kennethwrede) wrote :

Running Trusty with original 3.13 kernel. Have been running Virtualbox a long time without problems.

This crash appears after I have tried to install any other official LTS-kernel, like Utopic or Vivid. The problem does NOT disappear by purging those kernels+headers again.

I have tried "dpkg-reconfigure virtualbox-dkms", and for virtualbox and dkms alone as well. No result.

I guess this is somewhat related to, but not the same as bug #1457776.
https://bugs.launchpad.net/ubuntu/+source/virtualbox/+bug/1457776

As for today, I have a couple of error messages on every reboot.

Daniel van Vugt (vanvugt) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug 1358157, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Feel free to continue to report any other bugs you may find.

that bug was *invalid*, please leave this one open and I'll try to fix it.

thanks

Still get this error with kernel version 3.19.0-22. Has there been any progress in fixing this?

I'm trying o fix this in a more generic way, since vivid kernel already has the module inside. Unfortunately I need to prior fix utopic, so the fix is going to take some days more.

I plan to work on this in the next few days.

Patrik Keller (patrik-keller) wrote :

Quick workaround for me was removing VirtualBox completely and then installing new version 5.0 from https://www.virtualbox.org/wiki/Linux_Downloads.

Eduar Arley Cardona (eduar47) wrote :

Hello!

I've just installed Ubuntu 14.04.3 using http://releases.ubuntu.com/14.04.3/ubuntu-14.04.3-desktop-amd64.iso. All installation OK.

Loading new virtualbox-4.3.10 DKMS files...
First Installation: checking all kernels...
Building only for 3.19.0-25-generic
Building initial module for 3.19.0-25-generic
Error! Bad return status for module build on kernel: 3.19.0-25-generic (x86_64)
Consult /var/lib/dkms/virtualbox/4.3.10/build/make.log for more information.
 * Stopping VirtualBox kernel modules [ OK ]
 * Starting VirtualBox kernel modules * No suitable module for running kernel found
                                                                                                                                          [fail]
invoke-rc.d: initscript virtualbox, action "restart" failed.

My system is full updated, no custom PPAs or repos.

Frans van Basten (linux4me) wrote :
Download full text (3.2 KiB)

Same story as Eduar: just installed Ubuntu 14.04.3 on a new ASUS N751IJ laptop.
Through Ubuntu Software Centrum I installed VirtualBox 4.3.10 and get the following error:

Loading new virtualbox-4.3.10 DKMS files...
First Installation: checking all kernels...
Building only for 3.19.0-25-generic
Building initial module for 3.19.0-25-generic
Error! Bad return status for module build on kernel: 3.19.0-25-generic (x86_64)
Consult /var/lib/dkms/virtualbox/4.3.10/build/make.log for more information.
 * Stopping VirtualBox kernel modules [ OK ]
 * Starting VirtualBox kernel modules * No suitable module for running kernel found
                                                                                                                                        [fail]
invoke-rc.d: initscript virtualbox, action "restart" failed.

The make.log file contains the following errors:
Loading new virtualbox-4.3.10 DKMS files...
First Installation: checking all kernels...
Building only for 3.19.0-25-generic
Building initial module for 3.19.0-25-generic
Error! Bad return status for module build on kernel: 3.19.0-25-generic (x86_64)
Consult /var/lib/dkms/virtualbox/4.3.10/build/make.log for more information.
 * Stopping VirtualBox kernel modules [ OK ]
 * Starting VirtualBox kernel modules * No suitable module for running kernel found
                                                                                                                                        [fail]
invoke-rc.d: initscript virtualbox, action "restart" failed.
...
/var/lib/dkms/virtualbox/4.3.10/build/vboxnetadp/linux/VBoxNetAdp-linux.c: In function ‘vboxNetAdpOsCreate’:
/var/lib/dkms/virtualbox/4.3.10/build/vboxnetadp/linux/VBoxNetAdp-linux.c:186:48: error: macro "alloc_netdev" requires 4 arguments, but only 3 given
                            vboxNetAdpNetDevInit);
                                                ^
/var/lib/dkms/virtualbox/4.3.10/build/vboxnetadp/linux/VBoxNetAdp-linux.c:184:15: error: ‘alloc_netdev’ undeclared (first use in this function)
     pNetDev = alloc_netdev(sizeof(VBOXNETADPPRIV),
               ^
/var/lib/dkms/virtualbox/4.3.10/build/vboxnetadp/linux/VBoxNetAdp-linux.c:184:15: note: each undeclared identifier is reported only once for each function it appears in
/var/lib/dkms/virtualbox/4.3.10/build/vboxnetadp/linux/VBoxNetAdp-linux.c: At top level:
/var/lib/dkms/virtualbox/4.3.10/build/vboxnetadp/linux/VBoxNetAdp-linux.c:159:13: warning: ‘vboxNetAdpNetDevInit’ defined but not used [-Wunused-function]
 static void vboxNetAdpNetDevInit(struct net_device *pNetDev)
             ^
make[2]: *** [/var/lib/dkms/virtualbox/4.3.10/build/vboxnetadp/linux/VBoxNetAdp-linux.o] Error 1
make[1]: *** [/var/lib/dkms/virtualbox/4.3.10/build/vboxnetadp] Error 2
make: *** [_m...

Read more...

Eduar Arley Cardona (eduar47) wrote :

Just an update

In same machine, I've installed:
sudo apt-get install linux-headers-generic-lts-trusty linux-image-generic-lts-trusty

After that, I've rebooted with that kernel:

3.13.0-62-generic

Once rebooted, VirtualBox works OK, and all VMs works as expected.

If I reboot again with vivid kernel, VirtualBox stops working.

So, seems like a problem with 3.19.0 kernel.

Error! Bad return status for module build on kernel: 3.19.0-26-generic (x86_64)
Consult /var/lib/dkms/virtualbox/4.3.10/build/make.log for more information.

So let's have a look:

  CC [M] /var/lib/dkms/virtualbox/4.3.10/build/vboxnetadp/linux/VBoxNetAdp-linux.o
/var/lib/dkms/virtualbox/4.3.10/build/vboxnetadp/linux/VBoxNetAdp-linux.c: In function ‘vboxNetAdpOsCreate’:
/var/lib/dkms/virtualbox/4.3.10/build/vboxnetadp/linux/VBoxNetAdp-linux.c:186:48: error: macro "alloc_netdev" requires 4 arguments, but only 3 given
                            vboxNetAdpNetDevInit);
                                                ^
/var/lib/dkms/virtualbox/4.3.10/build/vboxnetadp/linux/VBoxNetAdp-linux.c:184:15: error: ‘alloc_netdev’ undeclared (first use in this function)
     pNetDev = alloc_netdev(sizeof(VBOXNETADPPRIV),
               ^
/var/lib/dkms/virtualbox/4.3.10/build/vboxnetadp/linux/VBoxNetAdp-linux.c:184:15: note: each undeclared identifier is reported only once for each function it appears in
/var/lib/dkms/virtualbox/4.3.10/build/vboxnetadp/linux/VBoxNetAdp-linux.c: At top level:
/var/lib/dkms/virtualbox/4.3.10/build/vboxnetadp/linux/VBoxNetAdp-linux.c:159:13: warning: ‘vboxNetAdpNetDevInit’ defined but not used [-Wunused-function]
 static void vboxNetAdpNetDevInit(struct net_device *pNetDev)
             ^
make[2]: *** [/var/lib/dkms/virtualbox/4.3.10/build/vboxnetadp/linux/VBoxNetAdp-linux.o] Error 1
make[1]: *** [/var/lib/dkms/virtualbox/4.3.10/build/vboxnetadp] Error 2
make: *** [_module_/var/lib/dkms/virtualbox/4.3.10/build] Error 2
make: Leaving directory `/usr/src/linux-headers-3.19.0-26-generic'

Copy the end of this message to a file called patch.txt

$ sudo su
# cd /usr/src/virtualbox-4.3.10
# patch -p0 <patch.txt
# dkms clean
# dkms remove virtualbox/4.3.10 --all
# dkms build virtualbox/4.3.10
# sudo dkms install virtualbox/4.3.10

Not my original work, credit goes to someone else... I was affected though.

--- vboxnetadp/linux/VBoxNetAdp-linux.c 2014-07-15 19:24:57.000000000 +0200
+++ vboxnetadp/linux/VBoxNetAdp-linux.c 2014-08-18 13:52:24.292185943 +0200
@@ -50,10 +50,29 @@
 #define VBOXNETADP_LINUX_NAME "vboxnet%d"
 #define VBOXNETADP_CTL_DEV_NAME "vboxnetctl"

 #define VBOXNETADP_FROM_IFACE(iface) ((PVBOXNETADP) ifnet_softc(iface))

+/*******************************
+source for the 4th parameter alloc_netdev fix for kernel 3.17-rc1 is:
+https://github.com/proski/madwifi/commit/c5246021b7b8580c2aeb0a145903acc07d246ac1
+*/
+#ifndef NET_NAME_UNKNOWN
+#undef alloc_netdev
+#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,23)
+#define alloc_netdev(sizeof_priv, name, name_assign_type, setup) \
+ alloc_netdev(sizeof_priv, name, setup)
+#elif LINUX_VERSION_CODE < KERNEL_VERSION(2,6,38)
+#define alloc_netdev(sizeof_priv, name, name_assign_type, setup) \
+ alloc_netdev_mq(sizeof_priv, name, setup, 1)
+#else
+#define alloc_netdev(sizeof_priv, name, name_assign_type, setup) \
+ alloc_netdev_mqs(sizeof_priv, name, setup, 1, 1)
+#endif
+#endif
+/*******************************/
+
 /*******************************************************************************
 * Internal Functions *
 *******************************************************************************/
 static int VBoxNetAdpLinuxInit(void);
 static void VBoxNetAdpLinuxUnload(void);
@@ -181,10 +200,11 @@ int vboxNetAdpOsCreate(PVBOXNETADP pThis
     struct net_device *pNetDev;

     /* No need for private data. */
     pNetDev = alloc_netdev(sizeof(VBOXNETADPPRIV),
                            pThis->szName[0] ? pThis->szName : VBOXNETADP_LINUX_NAME,
+ NET_NAME_UNKNOWN,
                            vboxNetAdpNetDevInit);
     if (pNetDev)
     {
         int err;

--- r0drv/linux/alloc-r0drv-linux.c 2014-07-15 19:25:23.000000000 +0200
+++ r0drv/linux/alloc-r0drv-linux.c 2014-08-18 13:37:53.257621846 +0200
@@ -189,11 +189,11 @@ static PRTMEMHDR rtR0MemAllocExecVmArea(
          * in the free function, if nothing else...
          */
         struct page **papPagesIterator = papPages;
         pVmArea->nr_pages = cPages;
         pVmArea->pages = papPages;
- if (!map_vm_area(pVmArea, PAGE_KERNEL_EXEC, &papPagesIterator))
+ if (!map_vm_area(pVmArea, PAGE_KERNEL_EXEC, papPagesIterator))
         {
             PRTMEMLNXHDREX pHdrEx = (PRTMEMLNXHDREX)pVmArea->addr;
             pHdrEx->pVmArea = pVmArea;
             pHdrEx->pvDummy = NULL;
             return &pHdrEx->Hdr;

Changed in virtualbox (Ubuntu):
assignee: nobody → Henrik Tikanvaara (henrik-tikanvaara-7)
Changed in virtualbox (Ubuntu):
status: Confirmed → Fix Committed
Changed in virtualbox (Ubuntu):
status: Fix Committed → Confirmed
assignee: Henrik Tikanvaara (henrik-tikanvaara-7) → nobody

Hi Henrik, I appreciate your work, unfortunately (Debian and Ubuntu virtualbox maintainer hat on), the patch is not good.

e.g. the first patch drops support for older kernels, you can see the right patch here
http://anonscm.debian.org/cgit/pkg-virtualbox/virtualbox.git/commit/src/VBox/HostDrivers/VBoxNetAdp/linux/VBoxNetAdp-linux.c?id=747414b7236ec035b4ffcce62f953a7908637723

and here
http://anonscm.debian.org/cgit/pkg-virtualbox/virtualbox.git/commit/src/VBox/Runtime/r0drv/linux/alloc-r0drv-linux.c?id=747414b7236ec035b4ffcce62f953a7908637723

the problem actually is that we can't provide targeted fixes anymore for virtualbox, since this kind of kernel build failures is much frequent, and the vbox code changes a lot between releases.

I'm going to ask soon an exception for virtualbox, to be able to update it to new stable releases in stable ubuntu ones, to fix CVEs and this kind of bugs easily.

look e.g. to
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=794466
where I asked the same for Debian.

Thank you for your thorough answer. I will delve into the details later on, but at least it was a nice feeling thinking of having made a contribution. No regrets though.

Hi Henrik, I'm happy you contributed, and I invite you on joining the pkg-virtualbox alioth Debian project, so you can have your code changes delivered into Debian and Ubuntu projects :)

For my part, I'm preparing an MRE pad for asking the Ubuntu MRE procedure
https://titanpad.com/IVSgUZauQV

https://wiki.ubuntu.com/StableReleaseUpdates/MicroReleaseExceptions

(this is something I started half an hour ago, after your contribution made me change the TODO list prioritizing virtualbox once again)

so big thanks to you!

summary: - virtualbox-dkms 4.3.10-dfsg-1ubuntu5: virtualbox kernel module failed to
- build
+ virtualbox-dkms 4.3.10-dfsg-1: virtualbox kernel module failed to build
+ [error: macro "alloc_netdev" requires 4 arguments, but only 3 given]
Rune Philosof (olberd) wrote :

What is missing from your MRE application. Anything I can help write?

Unfortunately noy

Paul (pts-h) wrote :

Hi Guys, I upgraded ubuntu to 14.04 and now my virtual machine is unavailable due to this bug.
cough.,, I need it desperately for my job.

Are there any work arounds or solutions near?

thanks,
Paul.

Paul (pts-h) wrote :

Hi Thanks !

which one is the ppa I need for this bug ?

many thanks,
Paul.

there is only one virtualbox for trusty.
 virtualbox - 5.0.2-dfsg-2~ubuntu14.04.1~ppa1

BTW version 5.0.4 is coming soon

Does your build contain the VNC extention?

On Thu, Sep 10, 2015 at 9:49 AM, LocutusOfBorg <
<email address hidden>> wrote:

> there is only one virtualbox for trusty.
> virtualbox - 5.0.2-dfsg-2~ubuntu14.04.1~ppa1
>
> BTW version 5.0.4 is coming soon
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1457776
>
> Title:
> virtualbox-dkms 4.3.10-dfsg-1: virtualbox kernel module failed to
> build [error: macro "alloc_netdev" requires 4 arguments, but only 3
> given]
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/virtualbox/+bug/1457776/+subscriptions
>

it is the official Debian and Ubuntu build, because I'm the maintainer :)

so yes, we build with VNC enabled.

Paul (pts-h) wrote :

Thank you, works ! :)

tedy58 (tedy58) on 2015-09-15
Changed in virtualbox (Ubuntu):
assignee: nobody → tedy58 (tedy58)
Changed in virtualbox (Ubuntu):
assignee: tedy58 (tedy58) → nobody

Are we close on this bug?

I debating whether to wait on an official Ubuntu Update to fix this OR do an "outside of repository" install from https://www.virtualbox.org/wiki/Linux_Downloads

Please advise.

Sean W (seanw) wrote :

Earlier in this thread, a 3rd (and IMHO, best) option was mentioned. You
can use the LocutusOfBorg PPA. He is the maintainer of the Ubuntu build.
His PPA has the latest version (currently 5.0.4) fully open source version
of VirtualBox, with VNC enabled, so the commercial Orcale extension is not
necessary.

As I understand it, the only reason this version is not in the Ubuntu
repositories is due to red tape.

$ sudo add-apt-repository ppa:costamagnagianfranco/locutusofborg-ppa
$ sudo apt-get update
$ sudo apt-get install virtualbox guest-additions-iso

On Tue, Sep 22, 2015 at 3:19 PM, Lonnie Lee Best <<email address hidden>
> wrote:

> Are we close on this bug?
>
> I debating whether to wait on an official Ubuntu Update to fix this OR
> do an "outside of repository" install from
> https://www.virtualbox.org/wiki/Linux_Downloads
>
> Please advise.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1457776
>
> Title:
> virtualbox-dkms 4.3.10-dfsg-1: virtualbox kernel module failed to
> build [error: macro "alloc_netdev" requires 4 arguments, but only 3
> given]
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/virtualbox/+bug/1457776/+subscriptions
>

Unfortunalely I did this kind of upgrade in Debian, but I got two reports of broken updates (not due to a bad package, but an half configured virtualbox dkms state)
sorry but the fix will wait until Debian jessie is fixed (fix alredy done but we have been pointed to a better fix), and nobody spots regressions there.

Until now please use the ppa (that should be broken too, but I guess the problem is more prominent with newer dpkg versions)

Changed in virtualbox (Ubuntu):
assignee: nobody → manuel valdivia (kondarco)

Ubuntu 14.04 is a stable, long-term release. I assumed, because of this, stuff like this would work without complication until 2018.

Changed in virtualbox (Ubuntu):
assignee: manuel valdivia (kondarco) → nobody
tarunann (eka-ultimate) wrote :

I am new in this "ubuntu world" and i am not really sure what i am doing right now .___.
but then i got this bugs too, and i hope this problem is got fixed soon.

I use Lenovo G410, and my ubuntu version is 14.04 amd64 bit

Daniel Sobrinho (dsobrinho) wrote :
Download full text (5.0 KiB)

Hello Everybody,

I've just installed Ubuntu 14.04.3, and now I have tried to install by Ubuntu Central Programs the virtualbox. I have the same errors after installed. This is bug Knew, and had already reported to community.

daniels@anunnaki:~$ uname -a
Linux anunnaki 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

daniels@anunnaki:~$ head -n1 /etc/issue
Ubuntu 14.04.3 LTS \n \l

daniels@anunnaki:~$ cat /proc/partitions
major minor #blocks name

   8 0 625131864 sda
   8 1 102400 sda1
   8 2 15360000 sda2
   8 3 360101009 sda3
   8 4 1 sda4
   8 5 3643392 sda5
   8 6 7833600 sda6
   8 7 238083072 sda7
  11 0 1048575 sr0

daniels@anunnaki:~$ grep MemTotal /proc/meminfo
MemTotal: 7635720 kB

daniels@anunnaki:~$ grep "model name" /proc/cpuinfo
model name : AMD A6-3400M APU with Radeon(tm) HD Graphics
model name : AMD A6-3400M APU with Radeon(tm) HD Graphics
model name : AMD A6-3400M APU with Radeon(tm) HD Graphics
model name : AMD A6-3400M APU with Radeon(tm) HD Graphics

------------------------
(LAPTOP: DELL INSPIRON M5110 14" Display)

daniels@anunnaki:~$ cat /proc/cpuinfo
processor : 0
vendor_id : AuthenticAMD
cpu family : 18
model : 1
model name : AMD A6-3400M APU with Radeon(tm) HD Graphics
stepping : 0
microcode : 0x3000025
cpu MHz : 800.000
cache size : 1024 KB
physical id : 0
siblings : 4
core id : 0
cpu cores : 4
apicid : 0
initial apicid : 0
fpu : yes
fpu_exception : yes
cpuid level : 6
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm 3dnowext 3dnow constant_tsc rep_good nopl nonstop_tsc extd_apicid aperfmperf pni monitor cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw ibs skinit wdt arat cpb hw_pstate npt lbrv svm_lock nrip_save pausefilter vmmcall
bugs : fxsave_leak
bogomips : 2794.87
TLB size : 1536 4K pages
clflush size : 64
cache_alignment : 64
address sizes : 40 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate cpb

processor : 1
vendor_id : AuthenticAMD
cpu family : 18
model : 1
model name : AMD A6-3400M APU with Radeon(tm) HD Graphics
stepping : 0
microcode : 0x3000025
cpu MHz : 800.000
cache size : 1024 KB
physical id : 0
siblings : 4
core id : 1
cpu cores : 4
apicid : 1
initial apicid : 1
fpu : yes
fpu_exception : yes
cpuid level : 6
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm 3dnowext 3dnow constant_tsc rep_good nopl nonstop_tsc extd_apicid aperfmperf pni monitor cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw ibs skinit wdt arat cpb hw_pstate npt lbrv svm_lock nrip_save pausefilter vmmcall
bugs : fxsave_leak
bogomips : 2794.87
TLB size : 1536 4K pages
clflush size : 64
cache_alignment : 64
address sizes : 40 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate cpb

pr...

Read more...

Daniel Sobrinho (dsobrinho) wrote :
Download full text (21.5 KiB)

For more information about my hardware and system:

anunnaki
    descrição: Computador portátil
    produto: Inspiron M5110 (To be filled by O.E.M.)
    fabricante: Dell Inc.
    versão: Not Specified
    serial: XXXXXXXX
    largura: 64 bits
    capacidades: smbios-2.7 dmi-2.7 vsyscall32
    configuração: boot=normal chassis=portable sku=To be filled by O.E.M. uuid=44454C4C-3400-104D-804E-B6C04F575031
  *-core
       descrição: Placa-mãe
       produto: 0W274W
       fabricante: Dell Inc.
       ID físico: 0
       versão: A05
       serial: .XXXX.XXXXXXXXXXXXXXX.
       slot: To Be Filled By O.E.M.
     *-firmware
          descrição: BIOS
          fabricante: Dell Inc.
          ID físico: 0
          versão: A05
          date: 03/22/2012
          tamanho: 64KiB
          capacidade: 1984KiB
          capacidades: pci upgrade shadowing escd cdboot bootselect socketedrom edd int13floppy1200 int13floppy720 int13floppy2880 int5printscreen int9keyboard int14serial int17printer int10video acpi usb ls120boot zipboot biosbootspecification uefi
     *-cpu
          descrição: CPU
          produto: AMD A6-3400M APU with Radeon(tm) HD Graphics
          fabricante: Advanced Micro Devices [AMD]
          ID físico: 34
          informações do barramento: cpu@0
          versão: AMD A6-3400M APU with Radeon(tm) HD Graphics
          slot: P0
          tamanho: 800MHz
          capacidade: 1400MHz
          largura: 64 bits
          clock: 100MHz
          capacidades: x86-64 fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp 3dnowext 3dnow constant_tsc rep_good nopl nonstop_tsc extd_apicid aperfmperf pni monitor cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw ibs skinit wdt arat cpb hw_pstate npt lbrv svm_lock nrip_save pausefilter vmmcall cpufreq
          configuração: cores=4 enabledcores=4 threads=4
        *-cache:0
             descrição: L2 cache
             ID físico: 1c
             slot: L2 CACHE
             tamanho: 4MiB
             capacidade: 4MiB
             clock: 1GHz (1.0ns)
             capacidades: pipeline-burst internal write-back unified
        *-cache:1
             descrição: L1 cache
             ID físico: 1b
             slot: L1 CACHE
             tamanho: 512KiB
             capacidade: 512KiB
             clock: 1GHz (1.0ns)
             capacidades: pipeline-burst internal write-back unified
     *-memory
          descrição: Memória do sistema
          ID físico: 10
          slot: Placa do sistema ou placa-mãe
          tamanho: 8GiB
        *-bank:0
             descrição: DIMM DDR3 Síncrono 1333 MHz (0,8 ns)
             produto: HMT351S6CFR8C-H9
             fabricante: Hynix Semiconduc
             ID físico: 0
             serial: 19257E43
             slot: DIMM_A
             tamanho: 4GiB
             largura: 64 bits
             clock: 1333MHz (0.8ns)
        *-bank:1
             descrição: DIMM DDR3 Síncrono 1333 MHz (0,8 ns)
             produto: HMT351S6CFR8C-H9
             fabricante: Hynix Semiconduc
             ID físico: 1
            ...

rzbaa (taine-jeanbaptiste) wrote :

Hello!

Same issue.

Fix with this:
Removed virtualbox package with purge and I downloaded him from official virtualbox site https://www.virtualbox.org/wiki/Linux_Downloads . Installed with packet management and it fix.

Thanks for help

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.